package com.jg.softbus.model;

import java.util.Objects;

public class SessionInfo {
    /**
     * sessionId
     */
    private Integer sessionId;
    /**
     * sessionName
     */
    private String sessionName;

    public SessionInfo() {
    }

    public SessionInfo(Integer sessionId, String sessionName) {
        this.sessionId = sessionId;
        this.sessionName = sessionName;
    }

    public Integer getSessionId() {
        return sessionId;
    }

    public void setSessionId(Integer sessionId) {
        this.sessionId = sessionId;
    }

    public String getSessionName() {
        return sessionName;
    }

    public void setSessionName(String sessionName) {
        this.sessionName = sessionName;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (o == null || getClass() != o.getClass()) return false;
        SessionInfo that = (SessionInfo) o;
        return Objects.equals(sessionId, that.sessionId) && Objects.equals(sessionName, that.sessionName);
    }

    @Override
    public int hashCode() {
        return Objects.hash(sessionId, sessionName);
    }

    @Override
    public String toString() {
        return "SessionInfo{" +
                "sessionId=" + sessionId +
                ", sessionName='" + sessionName + '\'' +
                '}';
    }
}
